import { DeployResult } from '@salesforce/source-deploy-retrieve';
import { DeleteSourceJson, Formatter, TestLevel } from '../utils/types.js';
import { TestResultsFormatter } from '../formatters/testResultsFormatter.js';
export declare class DeleteResultFormatter extends TestResultsFormatter implements Formatter<DeleteSourceJson> {
    protected result: DeployResult;
    protected flags: Partial<{
        'test-level': TestLevel;
        verbose: boolean;
    }>;
    constructor(result: DeployResult, flags: Partial<{
        'test-level': TestLevel;
        verbose: boolean;
    }>);
    /**
     * Get the JSON output from the DeployResult.
     *
     * @returns a JSON formatted result matching the provided type.
     */
    getJson(): Promise<DeleteSourceJson>;
    display(): void;
    private displayFailures;
}
