import { PathInfo, TestLevel } from './types.js';
export declare const DEFAULT_ZIP_FILE_NAME = "unpackaged.zip";
/**
 * Flag value is a directory path that may or may not exist. If it doesn't exist, then it will be created.
 */
export declare const ensuredDirFlag: import("@oclif/core/interfaces").FlagDefinition<string, import("@oclif/core/interfaces").CustomOptions, {
    multiple: false;
    requiredOrDefaulted: false;
}>;
export declare const testLevelFlag: import("@oclif/core/interfaces").FlagDefinition<TestLevel, import("@oclif/core/interfaces").CustomOptions, {
    multiple: false;
    requiredOrDefaulted: true;
}>;
/**
 * Flag value could either be a file path or a directory path.
 */
export declare const fileOrDirFlag: import("@oclif/core/interfaces").FlagDefinition<PathInfo, {
    exists?: boolean;
}, {
    multiple: false;
    requiredOrDefaulted: false;
}>;
/**
 * Flag value is the name of a zip file that defaults to 'unpackaged.zip'.
 */
export declare const zipFileFlag: import("@oclif/core/interfaces").FlagDefinition<string, import("@oclif/core/interfaces").CustomOptions, {
    multiple: false;
    requiredOrDefaulted: false;
}>;
export declare const testsFlag: import("@oclif/core/interfaces").FlagDefinition<string, import("@oclif/core/interfaces").CustomOptions, {
    multiple: true;
    requiredOrDefaulted: false;
}>;
export declare const coverageFormattersFlag: import("@oclif/core/interfaces").FlagDefinition<string, import("@oclif/core/interfaces").CustomOptions, {
    multiple: true;
    requiredOrDefaulted: false;
}>;
